Subject: Re: FVWM: ClickToFocus feature wish or question

From: Scott Raney <[email-masked]>
Date: Sat, 2 Nov 1996 16:49:19 -0700 (MST)

> I would really like to get the Motif window-click menu problem solved, and
> Scott Raney's observation about configureNotify events is the most
> relevant-sounding bit of info I have heard (although I suspect it would
> only lead to the general area in the code from which the bothersome
> behavior comes, rather than being from the same cause).

I'm not sure how the Motif toolkit works, but MetaCard's toolkit looks
for that configureNotify message to signify that it's OK to actually
open the override window.  My recollection is that Xt/Motif does

> Why does the ClickToFocus automatically come with a window raise, anyway? 

The idea here is to bring the menu bar (which may be in the main app
window) to the top so that you can get to all the menus.  It's also
pretty ugly to see a menu panel open "sandwiching" another window
between it and the window with the menu button in it.

> When I click in a ClickToFocus window which already has focus, it does not
> raise. 

Unless you click in its menu bar, in which case it *will* raise (at
least if it's a Motif or MetaCard application).

> The only thing I can find related to this is an oblique reference
> in the Focus command, where the manpage states that execution of the Focus
> command will raise the window "if needed to make it visible."  I presume
> this means if any part of it is covered, rather than if no part of it is
> visible.  This is too generally useful for finding windows for me to 
> suggest changing, but if a non-raising focus alternative were available 
> for use by ClickToFocus, it might solve *some* problems.

The wm is responsible for raising the window in most cases and so
"autoRaise" is still an important feature.  But since the menu bar has
to be on top when you open a menu panel, the WM has to be able to
respond properly when the app does an XRaiseWindow.  Fvwm currently
doesn't.

As I've offered before, I'm still willing and able to help work
through this one, but don't know fvwm (or any wm) internals well
enough to do it myself.
  Regards,
    Scott

> Michael Tiefenback
> 
> 
> --
> Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 

-- 
***************************************************************
Scott Raney   [email-masked]   http://www.metacard.com
Tcl and ksh: syntactic gymnastics
MetaCard: it does what you think
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].